<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ClassID (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClassID (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ClassID.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/Blob.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html" title="enum in org.apache.poi.hpsf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/ClassID.html" target="_top">Frames</a></li>
        <li><a href="ClassID.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hpsf</div>
    <h2 title="Class ClassID" class="title">Class ClassID</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hpsf.ClassID</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">ClassID</span>
extends java.lang.Object</pre>
                <div class="block">Represents a class ID (16 bytes). Unlike other little-endian
                    type the <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                title="class in org.apache.poi.hpsf"><code>ClassID</code></a> is not just 16 bytes
                    stored in the wrong
                    order. Instead, it is a double word (4 bytes) followed by two
                    words (2 bytes each) followed by 8 bytes.<p>

                        The ClassID (or CLSID) is a UUID - see RFC 4122</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EQUATION30">EQUATION30</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EXCEL_V3">EXCEL_V3</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EXCEL_V3_CHART">EXCEL_V3_CHART</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EXCEL_V3_MACRO">EXCEL_V3_MACRO</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EXCEL2003">EXCEL2003</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EXCEL2007">EXCEL2007</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EXCEL2007_MACRO">EXCEL2007_MACRO</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EXCEL2007_XLSB">EXCEL2007_XLSB</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EXCEL2010">EXCEL2010</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EXCEL2010_CHART">EXCEL2010_CHART</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EXCEL2010_ODS">EXCEL2010_ODS</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EXCEL95">EXCEL95</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EXCEL95_CHART">EXCEL95_CHART</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EXCEL97">EXCEL97</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#EXCEL97_CHART">EXCEL97_CHART</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#LENGTH">LENGTH</a></span></code>
                                    <div class="block">The number of bytes occupied by this object in the byte stream.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#OLE10_PACKAGE">OLE10_PACKAGE</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#POWERPOINT2007">POWERPOINT2007</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#POWERPOINT2007_MACRO">POWERPOINT2007_MACRO</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#POWERPOINT95">POWERPOINT95</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#POWERPOINT97">POWERPOINT97</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#PPT_SHOW">PPT_SHOW</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#TXT_ONLY">TXT_ONLY</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#WORD2007">WORD2007</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#WORD2007_MACRO">WORD2007_MACRO</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#WORD95">WORD95</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#WORD97">WORD97</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                     title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#XLS_WORKBOOK">XLS_WORKBOOK</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use enum <a
                                                href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                                title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#ClassID--">ClassID</a></span>()</code>
                                    <div class="block">Creates a <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                    title="class in org.apache.poi.hpsf"><code>ClassID</code></a>
                                        and initializes its value with 0x00 bytes.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#ClassID-byte:A-int-">ClassID</a></span>(byte[]&nbsp;src,
                                    int&nbsp;offset)</code>
                                    <div class="block">Creates a <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                    title="class in org.apache.poi.hpsf"><code>ClassID</code></a>
                                        and reads its value from a byte array.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#ClassID-java.lang.String-">ClassID</a></span>(java.lang.String&nbsp;externalForm)</code>
                                    <div class="block">Creates a <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                    title="class in org.apache.poi.hpsf"><code>ClassID</code></a>
                                        from a human-readable representation of the Class ID in standard
                                        format <code>"{xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx}"</code>.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>
                                    <div class="block">Checks whether this <code>ClassID</code> is equal to another
                                        object.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#equalsInverted-org.apache.poi.hpsf.ClassID-">equalsInverted</a></span>(<a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html"
                                        title="class in org.apache.poi.hpsf">ClassID</a>&nbsp;o)</code>
                                    <div class="block">Checks whether this <code>ClassID</code> is equal to another
                                        ClassID with inverted endianess,
                                        because there are apparently not only version 1 GUIDs (aka "network" with
                                        big-endian encoding),
                                        but also version 2 GUIDs (aka "native" with little-endian encoding) out there.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#getBytes--">getBytes</a></span>()</code>
                                    <div class="block">Gets the bytes making out the class ID.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#length--">length</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#read-byte:A-int-">read</a></span>(byte[]&nbsp;src,
                                    int&nbsp;offset)</code>
                                    <div class="block">Reads the class ID's value from a byte array by turning
                                        little-endian into big-endian.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#setBytes-byte:A-">setBytes</a></span>(byte[]&nbsp;bytes)</code>
                                    <div class="block">Sets the bytes making out the class ID.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#toString--">toString</a></span>()</code>
                                    <div class="block">Returns a human-readable representation of the Class ID in
                                        standard
                                        format <code>"{xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx}"</code>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html#write-byte:A-int-">write</a></span>(byte[]&nbsp;dst,
                                    int&nbsp;offset)</code>
                                    <div class="block">Writes the class ID to a byte array in the little-endian
                                        format.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="OLE10_PACKAGE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>OLE10_PACKAGE</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> OLE10_PACKAGE</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="PPT_SHOW">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PPT_SHOW</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> PPT_SHOW</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="XLS_WORKBOOK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XLS_WORKBOOK</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> XLS_WORKBOOK</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="TXT_ONLY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TXT_ONLY</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> TXT_ONLY</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EXCEL_V3">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXCEL_V3</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EXCEL_V3</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EXCEL_V3_CHART">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXCEL_V3_CHART</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EXCEL_V3_CHART</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EXCEL_V3_MACRO">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXCEL_V3_MACRO</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EXCEL_V3_MACRO</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EXCEL95">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXCEL95</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EXCEL95</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EXCEL95_CHART">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXCEL95_CHART</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EXCEL95_CHART</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EXCEL97">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXCEL97</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EXCEL97</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EXCEL97_CHART">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXCEL97_CHART</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EXCEL97_CHART</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EXCEL2003">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXCEL2003</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EXCEL2003</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EXCEL2007">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXCEL2007</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EXCEL2007</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EXCEL2007_MACRO">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXCEL2007_MACRO</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EXCEL2007_MACRO</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EXCEL2007_XLSB">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXCEL2007_XLSB</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EXCEL2007_XLSB</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EXCEL2010">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXCEL2010</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EXCEL2010</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EXCEL2010_CHART">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXCEL2010_CHART</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EXCEL2010_CHART</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EXCEL2010_ODS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXCEL2010_ODS</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EXCEL2010_ODS</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="WORD95">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WORD95</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> WORD95</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="WORD97">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WORD97</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> WORD97</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="WORD2007">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WORD2007</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> WORD2007</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="WORD2007_MACRO">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WORD2007_MACRO</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> WORD2007_MACRO</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="POWERPOINT97">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>POWERPOINT97</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> POWERPOINT97</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="POWERPOINT95">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>POWERPOINT95</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> POWERPOINT95</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="POWERPOINT2007">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>POWERPOINT2007</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> POWERPOINT2007</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="POWERPOINT2007_MACRO">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>POWERPOINT2007_MACRO</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> POWERPOINT2007_MACRO</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="EQUATION30">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EQUATION30</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> EQUATION30</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use enum <a
                                        href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html"
                                        title="enum in org.apache.poi.hpsf"><code>ClassIDPredefined</code></a></span>
                                </div>
                            </li>
                        </ul>
                        <a name="LENGTH">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>LENGTH</h4>
                                <pre>public static final&nbsp;int LENGTH</pre>
                                <div class="block">The number of bytes occupied by this object in the byte stream.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.ClassID.LENGTH">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ClassID-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ClassID</h4>
                                <pre>public&nbsp;ClassID(byte[]&nbsp;src,
               int&nbsp;offset)</pre>
                                <div class="block">Creates a <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                title="class in org.apache.poi.hpsf"><code>ClassID</code></a>
                                    and reads its value from a byte array.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>src</code> - The byte array to read from.</dd>
                                    <dd><code>offset</code> - The offset of the first byte to read.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ClassID--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ClassID</h4>
                                <pre>public&nbsp;ClassID()</pre>
                                <div class="block">Creates a <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                title="class in org.apache.poi.hpsf"><code>ClassID</code></a>
                                    and initializes its value with 0x00 bytes.
                                </div>
                            </li>
                        </ul>
                        <a name="ClassID-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ClassID</h4>
                                <pre>public&nbsp;ClassID(java.lang.String&nbsp;externalForm)</pre>
                                <div class="block">Creates a <a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                                title="class in org.apache.poi.hpsf"><code>ClassID</code></a>
                                    from a human-readable representation of the Class ID in standard
                                    format <code>"{xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx}"</code>.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>externalForm</code> - representation of the Class ID represented by this
                                        object.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="length--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>length</h4>
                                <pre>public&nbsp;int&nbsp;length()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The number of bytes occupied by this object in the byte stream.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBytes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBytes</h4>
                                <pre>public&nbsp;byte[]&nbsp;getBytes()</pre>
                                <div class="block">Gets the bytes making out the class ID. They are returned in correct
                                    order, i.e. big-endian.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the bytes making out the class ID.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBytes-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBytes</h4>
                                <pre>public&nbsp;void&nbsp;setBytes(byte[]&nbsp;bytes)</pre>
                                <div class="block">Sets the bytes making out the class ID.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>bytes</code> - The bytes making out the class ID in big-endian format.
                                        They
                                        are copied without their order being changed.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="read-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>read</h4>
                                <pre>public&nbsp;byte[]&nbsp;read(byte[]&nbsp;src,
                   int&nbsp;offset)</pre>
                                <div class="block">Reads the class ID's value from a byte array by turning little-endian
                                    into big-endian.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>src</code> - The byte array to read from</dd>
                                    <dd><code>offset</code> - The offset within the <code>src</code> byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A byte array containing the class ID.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="write-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;void&nbsp;write(byte[]&nbsp;dst,
                  int&nbsp;offset)
           throws java.lang.ArrayStoreException</pre>
                                <div class="block">Writes the class ID to a byte array in the little-endian format.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dst</code> - The byte array to write to.</dd>
                                    <dd><code>offset</code> - The offset within the <code>dst</code> byte array.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ArrayStoreException</code> - if there is not enough room for the
                                        class
                                        ID 16 bytes in the byte array after the <code>offset</code> position.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
                                <div class="block">Checks whether this <code>ClassID</code> is equal to another object.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>o</code> - the object to compare this <code>ClassID</code> with</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the objects are equal, else <code>false</code>.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equalsInverted-org.apache.poi.hpsf.ClassID-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equalsInverted</h4>
                                <pre>public&nbsp;boolean&nbsp;equalsInverted(<a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html"
                                        title="class in org.apache.poi.hpsf">ClassID</a>&nbsp;o)</pre>
                                <div class="block">Checks whether this <code>ClassID</code> is equal to another ClassID
                                    with inverted endianess,
                                    because there are apparently not only version 1 GUIDs (aka "network" with big-endian
                                    encoding),
                                    but also version 2 GUIDs (aka "native" with little-endian encoding) out there.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>o</code> - the object to compare this <code>ClassID</code> with</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the objects are equal, else <code>false</code>.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><code>Object.hashCode()</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <div class="block">Returns a human-readable representation of the Class ID in standard
                                    format <code>"{xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx}"</code>.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>String representation of the Class ID represented by this object.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ClassID.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/Blob.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/ClassIDPredefined.html" title="enum in org.apache.poi.hpsf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/ClassID.html" target="_top">Frames</a></li>
        <li><a href="ClassID.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
